## smail-3.2.0.115.tar.bz2

=== pd/uuwho/Makefile ===
#
#ident	"@(#)smail/pd/uuwho:RELEASE-3_2_0_115:Makefile,v 1.21 2003/06/18 07:03:36 woods Exp"
#
# Makefile for uuwho

SHELL=/bin/sh
AR=ar
LINT=lint

MKDEPEND=${ROOT}/conf/lib/mkdepend.sh
MKDEFS=${ROOT}/conf/lib/mkdefs.sh
CHECKDEFS=${ROOT}/conf/lib/checkdefs.sh
MKDIRS=${ROOT}/conf/lib/mkdirs.sh
INST=${ROOT}/conf/lib/inst.sh
INSTM=${ROOT}/conf/lib/instm.sh
XEXEC=${SHELL} ${ROOT}/conf/lib/xexec.sh
DEFS_SH=defs.sh
DEFS_H=defs.h
DEFS_SED=defs.sed

ROOT=../..
INCLUDES=-I${SMAILSRC} $$DBM_INCLUDES -I${ROOT}/util $$INCLUDES
SMAILSRC=${ROOT}/src
TARGETS=uuwho
CSRC=uuwho.c
MISCSRC=Makefile
SRC=${CSRC} ${MISCSRC}
OBJ=uuwho.o
COMPAT_LIB_DIR=${ROOT}/compat
COMPAT_LIB=${COMPAT_LIB_DIR}/libcompat.a

all:	${TARGETS}

uuwho: uuwho.o ${DEFS_SH} ${COMPAT_LIB}
	@. ./${DEFS_SH}; ${XEXEC} $$CC $$CFLAGS $$LDFLAGS uuwho.o -o uuwho \
		$$LIBS $$DBM_LIB ${COMPAT_LIB}

uuwho.o: uuwho.c ${DEFS_SH}
	@. ./${DEFS_SH}; ${XEXEC} $$CC $$CFLAGS ${INCLUDES} -c uuwho.c

${COMPAT_LIB}: .MAKE
	@if [ -f ${COMPAT_LIB_DIR}/.depend ] ; then 	\
		DEPMKFILE="-f Makefile -f .depend";	\
	fi;						\
	echo "cd ${COMPAT_LIB_DIR} && ${MAKE} $$DEPMKFILE all";	\
	cd ${COMPAT_LIB_DIR} && ${MAKE} $$DEPMKFILE all

mkdefs ${DEFS_H} ${DEFS_SH} ${DEFS_SED}: ${ROOT}/conf/EDITME
	ROOT=${ROOT} ${SHELL} ${MKDEFS}

${ROOT}/conf/EDITME: .MAKE # cannot depend on anything else!
	cd ${ROOT}/conf && ${MAKE} EDITME

depend: ${SRC} check_defs
	. ./${DEFS_SH}; ${SHELL} ${MKDEPEND} $$CPPFLAGS ${INCLUDES} ${CSRC}
	. ./${DEFS_SH}; echo "$$DEFS_DEPEND" >> .depend

check_defs:
	SHELL=${SHELL} ROOT=${ROOT} ${SHELL} ${CHECKDEFS}

install: ${TARGETS} ${DEFS_SH}
	@. ./${DEFS_SH}; \
	   case "$$DONT_INSTALL" in \
	   ?*)	echo Testing ... install ignored; exit 0;;\
	   esac; \
	   ${XEXEC} ${SHELL} ${MKDIRS} -m 0755 $$SMAIL_BIN_DIR $$LIB_DIR; \
	   s_flag=; \
	   case "$$STRIP" in \
	   ?*)	s_flag=-s;;\
	   esac; \
	   ${XEXEC} ${SHELL} ${INSTM} $$s_flag -m 0555 $$SMAIL_BIN_DIR ${TARGETS}

clean:
	rm -f .${DEFS_SH} .${DEFS_H} .${DEFS_SED}
	rm -f ${OBJ} core a.out

clobber: clean
	rm -f .depend
	rm -f ${DEFS_SH} ${DEFS_H} ${DEFS_SED}
	rm -f ${TARGETS}

.MAKE:

.PHONY: all install local-install clean local-clean clobber local-clobber depend local-depend lint mkdefs check_defs tags TAGS
.PHONY: .MAKE
