=== debian/changelog ===
smail (3.2.0.115-7.1) unstable; urgency=low

  * NMU
  * Fix FTBFS on amd64 with errno (Closes: #280337)
  * Fix bad linebreak in debian/rules (Closes: #356855)
  * Bump standards version
  * Add a dependency against netbase (pre/post script)
  * Bump DH_COMPAT to 4

 -- Julien Danjou <acid@debian.org>  Fri, 21 Apr 2006 14:49:52 +0200

smail (3.2.0.115-7) unstable; urgency=high

  * Added patch to fix security vulnerability. (Closes: #301428)

 -- Hector Garcia <hector@debian.org>  Sun,  27 Mar 2005 23:21:43 +0100

smail (3.2.0.115-6) unstable; urgency=low

  * Deleted ^ from checkerr since is implicitly added at the beginning of
    expr expresions. (Closes: #271021, #207676, #217398, #280813)
  * Checkerr is now invoked as root as it should. (Closes: #255110)
  * Made change suggested by Andrew Buckeridge to avoid backscatter
    relay. (Closes: #279629)

 -- Hector Garcia <hector@debian.org>  Sun,  6 Mar 2005 19:21:43 +0100

smail (3.2.0.115-5.1) unstable; urgency=low

  * Non-maintainer upload
  * Remove spool and log on purge (closes: #245391)
    Patch by Peter Eisentraut
  * Fix detection of build user so that build doesn't fail
    in pbuilder (Closes: #249748) Patch by Matt Kraai
  * Drop build-depends on libc6-dev. It's build-essential.

 -- Frank Lichtenheld <djpig@debian.org>  Sun,  1 Aug 2004 16:36:38 +0200

smail (3.2.0.115-5) unstable; urgency=low

  * Added patch proposed by Jordi to fix debian/fix_sudo from no executing
    due lo lack of executing permisions. (Closes: #210958)

 -- Hector Garcia <hector@debian.org>  Sat, 20 Sep 2003 20:23:22 +0200

smail (3.2.0.115-4) unstable; urgency=low

  * Removed bashisms from /debian/rules. (Closes: #205420)
  * Applyed patch from Guillem to build on ia64. (Closes: #205299)
  * Created debian/fix_sudo to fix premisions on files created on
    debian/rules clean. (Closes: #202121)
  * Fixed /usr/lib/smail/logsumm.awk so doesn't break when received only one
    message.
  * Applied patch suggested by Vincent Starre. (Closes: #206043)

 -- Hector Garcia <hector@debian.org>  Sun, 14 Sep 2003 19:30:39 +0200

smail (3.2.0.115-3) unstable; urgency=low

  * Added patch to include www-data into the /etc/alias file. (Closes: #41240)
  * Added a depend on groff. (Closes: #201178)

 -- Hector Garcia <hector@debian.org>  Mon, 14 Jul 2003 16:20:31 +0200
  

smail (3.2.0.115-2) unstable; urgency=low

  * Finally removed all dependencies on libgdbm. (Closes: #201135)
  * Created (Guillem Jover not me) a test to compile on 32 or 64bits depending
    on arch.

 -- Hector Garcia <hector@debian.org>  Mon, 14 Jul 2003 00:51:00 +0100
 

smail (3.2.0.115-1) unstable; urgency=low

  * New upstream version.
    - Added an option to not depend on dbm nor nbm. (Closes: #196337, #201048)
  * Added LC_ALL=C at begining of rules file prevents locales from breaking
    compilation. (Closes: #201051, #191182).
  * Changed all /var/spool/mail to /var/mail (Closes: #168545).
  * Fixed postinst to restart smail on upgrade. (Closes: #118493).
  * Lines on smailconfig are no longer than 80 chars. (Closes: #23429). 

 -- Hector Garcia <hector@debian.org>  Sun, 13 Jul 2003 19:21:00 +0100

smail (3.2.0.114-5) unstable; urgency=low

  * Removed build depend on libdb1-dev and added to libgdbmg1-dev the
    compatibility library.
  * Rebuild against libgdbmg1.

 -- Hector Garcia <hector@debian.org>  Wed, 14 Aug 2002 17:21:00 +0100

smail (3.2.0.114-4) unstable; urgency=low

  * Fixed misspell in postinst. (closes: #123625)
  * Closing fixed bug. (closes: #119256)

 -- Hector Garcia <hector@debian.org>  Wed, 12 Dec 2001 16:15:45 +0100
  

smail (3.2.0.114-3) unstable; urgency=low

  * Fixed problems with symbolic links. (closes: #123553)

 -- Hector Garcia <hector@debian.org>  Wed, 12 Dec 2001 11:15:45 +0100
 

smail (3.2.0.114-2) unstable; urgency=low

  * Fixed default conf to not show Bcc lines. (closes: #119376)
  * Changes grep in /etc/init.d/smail to search only for a line begining with
    smtp in /etc/inetd.conf regardles of being followed by a space or a \t.
    (closes: #100758, #96783, #95790)
  * Applied a patch to make it build on Hurd (most of it was already fixed
    upstream), suplied by Igor Khavkine. Thanks. (closes: #99085)
  * Disabled new paranoid HELLO response checking to be consistent with prior
    smail behavior. (closes: #118737, #116042)
  * Cleaned some bashiming from rules. (closes: #119050)
  * Linked missing manpages. (closes: #103919)
  * Fixed mkaliases man page. (closes: #41684)
  
 -- Hector Garcia <hector@debian.org>  Sun, 02 Dec 2001 20:15:45 +0100

smail (3.2.0.114-1) unstable; urgency=low

  * New upstream release.

 -- Hector Garcia <hector@debian.org>  Sat, 11 Aug 2001 20:15:45 +0100 

smail (3.2.0.111-7) unstable; urgency=low

  * Added a from_field definition that adds the '@hostname' to local
    generated mail and leaves mail from other machines with the from
    field untouched. (closes: #63037) 
  * Doing the set up the anti-relay rules. (closes: #35794, #69532)
  * All options are chosseable. Patch from Joey. Thanks. (closes: #79754)

 -- Hector Garcia <hector@scouts-es.org>  Sat, 26 Apr 2001 20:15:45 +0100 

smail (3.2.0.111-6) unstable; urgency=low

  * Adopted the package. (closes: #82202)
  * Fixed DOS bug. Didn't send pacth to upstream author yet because I cannot
    contact him. Now only accepts a maximun of 1024 bytes as stated
    by RFC-1869. (closes: #66595)
  * Making use of funtion available for current libident. (closes: #69165)
  * Now uses dpkg-statoverride instead of dh_suidregister.

 -- Hector Garcia <hector@scouts-es.org>  Sat, 10 Feb 2001 20:15:45 +0100

smail (3.2.0.111-5) unstable; urgency=low

  * Rebuild on a recent woody.
  * Link with libdb1 instead of libdb (needed to get it compiling).

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 16 Dec 2000 17:22:45 +0100

smail (3.2.0.111-4) unstable; urgency=low

  * Orphaned the package.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 10 Dec 2000 10:02:50 +0100


