=== debian/control ===
Source: smail
Section: mail
Priority: extra
Maintainer: Hector Garcia <hector@debian.org>
Build-Depends: debhelper (>=4.1.52), libident-dev, libwrap0-dev, bison, groff
Standards-Version: 3.6.2

Package: smail
Architecture: any
Recommends: mail-reader 
Provides: mail-transport-agent
Depends: ${shlibs:Depends}, cron, netbase
Conflicts: mail-transport-agent
Description: Electronic mail transport system
 Smail is a mail transport agent (MTA).
 .
 An MTA is the innards of the mail system - it takes messages from
 user-friendly mailer programs and arranges for them to be delivered
 locally or passed on to other systems as required.
